package com.rwk.system.mapper;

import java.util.List;
import com.rwk.system.domain.RwkMeeting;
import com.rwk.system.domain.RwkMeetingStaff;

/**
 * 教育培训Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-05
 */
public interface RwkMeetingMapper 
{
    /**
     * 查询教育培训
     * 
     * @param id 教育培训主键
     * @return 教育培训
     */
    public RwkMeeting selectRwkMeetingById(Long id);

    /**
     * 查询教育培训列表
     * 
     * @param rwkMeeting 教育培训
     * @return 教育培训集合
     */
    public List<RwkMeeting> selectRwkMeetingList(RwkMeeting rwkMeeting);

    /**
     * 新增教育培训
     * 
     * @param rwkMeeting 教育培训
     * @return 结果
     */
    public int insertRwkMeeting(RwkMeeting rwkMeeting);

    /**
     * 修改教育培训
     * 
     * @param rwkMeeting 教育培训
     * @return 结果
     */
    public int updateRwkMeeting(RwkMeeting rwkMeeting);

    /**
     * 删除教育培训
     * 
     * @param id 教育培训主键
     * @return 结果
     */
    public int deleteRwkMeetingById(Long id);

    /**
     * 批量删除教育培训
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRwkMeetingByIds(String[] ids);

    /**
     * 批量删除培训人员签到
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRwkMeetingStaffByMeetingIds(String[] ids);
    
    /**
     * 批量新增培训人员签到
     * 
     * @param rwkMeetingStaffList 培训人员签到列表
     * @return 结果
     */
    public int batchRwkMeetingStaff(List<RwkMeetingStaff> rwkMeetingStaffList);
    

    /**
     * 通过教育培训主键删除培训人员签到信息
     * 
     * @param id 教育培训ID
     * @return 结果
     */
    public int deleteRwkMeetingStaffByMeetingId(Long id);
}
